`timescale 1 ns/100 ps
// Version: 


module TX_PLL(
       FAB_REF_CLK,
       FAB_LOCK,
       DIV_CLK,
       REF_CLK_P,
       REF_CLK_N,
       BIT_CLK,
       JA_REF_CLK,
       LOCK,
       REF_CLK_TO_LANE,
       DRI_CLK,
       DRI_CTRL,
       DRI_WDATA,
       DRI_ARST_N,
       DRI_RDATA,
       DRI_INTERRUPT
    ) ;
/* synthesis syn_black_box

syn_tco0 = " FAB_REF_CLK->BIT_CLK = 1.384"
syn_tco1 = " REF_CLK_P->BIT_CLK = 1.384"
*/
/* synthesis black_box_pad_pin ="" */
input  FAB_REF_CLK;
output FAB_LOCK;
output DIV_CLK;
input  REF_CLK_P;
input  REF_CLK_N;
output BIT_CLK;
input  JA_REF_CLK;
output LOCK;
output REF_CLK_TO_LANE;
input  DRI_CLK;
input  [10:0] DRI_CTRL;
input  [32:0] DRI_WDATA;
input  DRI_ARST_N;
output [32:0] DRI_RDATA;
output DRI_INTERRUPT;
parameter DATA_RATE = 0.0;
parameter REG_FILE = "";
parameter JA_MODE = "";
parameter VCOFREQUENCY = 0.0;
parameter SOFT_RESET_NV_MAP = 'h0;
parameter SOFT_RESET_V_MAP = 'h0;
parameter CTRL_BWSEL = 'h0;
parameter CTRL_PHASESTEPAMOUNT = 'h0;
parameter CTRL_STEP_PHASE = 'h0;
parameter CTRL_PD = 'h0;
parameter CTRL_AUXDIVPD = 'h0;
parameter CTRL_CLKRESETEN = 'h0;
parameter CTRL_CLKRESET = 'h0;
parameter CTRL_RESET_RTL_TXPLL = 'h0;
parameter CTRL_RESET_RTL = 'h0;
parameter CTRL_FOUTAUXDIV2_SEL = 'h0;
parameter CLK_SEL_CDRCLK_LN01_INT_SEL = 'h0;
parameter CLK_SEL_CDRCLK_LN23_INT_SEL = 'h0;
parameter CLK_SEL_CDRCLK_OUT_UP_SEL = 'h0;
parameter CLK_SEL_CDRCLK_OUT_DN_SEL = 'h0;
parameter JA_1_JA_DIVFIN = 'h0;
parameter JA_1_JA_DIVFFB = 'h0;
parameter JA_2_JA_SYNCCNTMAX = 'h0;
parameter JA_3_JA_CNTOFFSET = 'h0;
parameter JA_3_JA_TARGETCNT = 'h0;
parameter JA_4_JA_OTDLY = 'h0;
parameter JA_4_JA_FMI = 'h0;
parameter JA_4_JA_FKI = 'h0;
parameter JA_5_JA_PMP1 = 'h0;
parameter JA_5_JA_PMP2 = 'h0;
parameter JA_5_JA_PMI1 = 'h0;
parameter JA_5_JA_PMI2 = 'h0;
parameter JA_6_JA_PKP1 = 'h0;
parameter JA_6_JA_PKP2 = 'h0;
parameter JA_6_JA_PKI1 = 'h0;
parameter JA_6_JA_PKI2 = 'h0;
parameter JA_7_JA_DELAYK = 'h0;
parameter JA_7_JA_FDONLY = 'h0;
parameter JA_7_JA_ONTARGETOV = 'h0;
parameter JA_7_JA_PROGRAM = 'h0;
parameter JA_8_JA_FRAC_PRESET = 'h0;
parameter JA_8_JA_PRESET_EN = 'h0;
parameter JA_8_JA_HOLD = 'h0;
parameter JA_9_JA_INT_PRESET = 'h0;
parameter JA_RST_JA_RESET = 'h0;
parameter JA_RST_JA_RESET_FFB_OVERRIDE = 'h0;
parameter JA_RST_JA_RESET_FFB_EXT = 'h0;
parameter JA_RST_JA_RESET_FIN_OVERRIDE = 'h0;
parameter JA_RST_JA_RESET_FIN_EXT = 'h0;
parameter JA_RST_JA_RESET_CLKS_OVERRIDE = 'h0;
parameter JA_RST_JA_RESET_CLKS_EXT = 'h0;
parameter SERDES_SSMOD_SSMOD_DOWNSPREAD = 'h0;
parameter SERDES_SSMOD_SSMOD_DISABLE_SSCG = 'h0;
parameter SERDES_SSMOD_SSMOD_SPREAD = 'h0;
parameter SERDES_SSMOD_SSMOD_DIVVAL = 'h0;
parameter SERDES_SSMOD_SSMOD_EXT_MAXADDR = 'h0;
parameter SERDES_SSMOD_SSMOD_SEL_EXTWAVE = 'h0;
parameter SERDES_SSMOD_RN_SEL = 'h0;
parameter SERDES_SSMOD_RN_FILTER = 'h0;
parameter SOFT_RESET_PERIPH = 'h0;
parameter CTRL_PLLBW = 'h0;
parameter CTRL_VBGREF_SEL = 'h0;
parameter CTRL_FBDIV_SEL = 'h0;
parameter CTRL_DSMPD = 'h0;
parameter CLK_SEL_REFCLK_SEL_HM = 'h0;
parameter CLK_SEL_REFCLK_SEL_SM = 'h0;
parameter CLK_SEL_CASCADE_CLK_SEL_HM = 'h0;
parameter CLK_SEL_CASCADE_CLK_SEL_SM = 'h0;
parameter CLK_SEL_JA_FREF_SEL = 'h0;
parameter DIV_1_AUXDIV = 'h0;
parameter DIV_1_FBDIV = 'h0;
parameter DIV_2_FRAC = 'h0;
parameter DIV_2_REFDIV = 'h0;

endmodule
