`timescale 1 ns/100 ps
// Version: 


module XCVR_REF_CLK(
       Y,
       PAD_P,
       PAD_N,
       REFCLK_0,
       REFCLK_1
    )
/* synthesis black_box

pragma attribute XCVR_REF_CLK ment_tpd0 PAD_N->REFCLK_0+1.384
pragma attribute XCVR_REF_CLK ment_tpd1 PAD_N->REFCLK_1+1.384
pragma attribute XCVR_REF_CLK ment_tpd2 PAD_N->Y[0]+1.384
pragma attribute XCVR_REF_CLK ment_tpd3 PAD_N->Y[1]+1.384
pragma attribute XCVR_REF_CLK ment_tpd4 PAD_P->REFCLK_0+1.384
pragma attribute XCVR_REF_CLK ment_tpd5 PAD_P->REFCLK_1+1.384
pragma attribute XCVR_REF_CLK ment_tpd6 PAD_P->Y[0]+1.384
pragma attribute XCVR_REF_CLK ment_tpd7 PAD_P->Y[1]+1.384
*/
/* synthesis black_box black_box_pad ="PAD_P,PAD_N" */
 ;
output [1:0] Y;
input  PAD_P;
input  PAD_N;
output REFCLK_0;
output REFCLK_1;
parameter IOSTD = "";
parameter CLKBUF_DUALCLK1_MODE = 'h0;
parameter CLKBUF_DUALCLK1_ENTERM = 'h0;
parameter CLKBUF_DUALCLK0_MODE = 'h0;
parameter CLKBUF_DUALCLK0_ENTERM = 'h0;
parameter CLKBUF_DUALCLK1_EN_HYST = 'h0;
parameter CLKBUF_DUALCLK0_EN_HYST = 'h0;
parameter CLKBUF_CLKBUF_EN_RDIFF = 'h0;
parameter CLKBUF_CLKBUF_EN_UDRIVE_N = 'h0;
parameter CLKBUF_CLKBUF_EN_UDRIVE_P = 'h0;
parameter CLKBUF_CLKBUF_EN_PULLUP = 'h0;
parameter CLKBUF_CLKBUF_EN_APAD = 'h0;

endmodule
