//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Tue Feb 07 11:37:55 2017
// Version: PolarFire EAP4 12.100.7.18
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// SD1
module SD1(
    // Inputs
    LANE0_8B10B_TX_K,
    LANE0_PCS_ARST_N,
    LANE0_PMA_ARST_N,
    LANE0_RXD_N,
    LANE0_RXD_P,
    LANE0_RX_SLIP,
    LANE0_TX_DATA,
    LANE0_TX_DISPFNC,
    REF_CLK_PAD_N,
    REF_CLK_PAD_P,
    // Outputs
    DIV_CLK,
    FAB_REF_CLK,
    LANE0_8B10B_RX_K,
    LANE0_RX_CLK_G,
    LANE0_RX_CODE_VIOLATION,
    LANE0_RX_DATA,
    LANE0_RX_DISPARITY_ERROR,
    LANE0_RX_IDLE,
    LANE0_RX_READY,
    LANE0_RX_VAL,
    LANE0_TXD_N,
    LANE0_TXD_P,
    LANE0_TX_CLK_G,
    LANE0_TX_CLK_STABLE
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  [1:0]  LANE0_8B10B_TX_K;
input         LANE0_PCS_ARST_N;
input         LANE0_PMA_ARST_N;
input         LANE0_RXD_N;
input         LANE0_RXD_P;
input         LANE0_RX_SLIP;
input  [15:0] LANE0_TX_DATA;
input  [3:0]  LANE0_TX_DISPFNC;
input         REF_CLK_PAD_N;
input         REF_CLK_PAD_P;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output        DIV_CLK;
output        FAB_REF_CLK;
output [1:0]  LANE0_8B10B_RX_K;
output        LANE0_RX_CLK_G;
output [1:0]  LANE0_RX_CODE_VIOLATION;
output [15:0] LANE0_RX_DATA;
output [1:0]  LANE0_RX_DISPARITY_ERROR;
output        LANE0_RX_IDLE;
output        LANE0_RX_READY;
output        LANE0_RX_VAL;
output        LANE0_TXD_N;
output        LANE0_TXD_P;
output        LANE0_TX_CLK_G;
output        LANE0_TX_CLK_STABLE;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire          DIV_CLK_net_0;
wire          FAB_REF_CLK_net_0;
wire   [1:0]  LANE0_8B10B_RX_K_net_0;
wire   [1:0]  LANE0_8B10B_TX_K;
wire          LANE0_PCS_ARST_N;
wire          LANE0_PMA_ARST_N;
wire          LANE0_RX_CLK_G_net_0;
wire   [1:0]  LANE0_RX_CODE_VIOLATION_net_0;
wire   [15:0] LANE0_RX_DATA_net_0;
wire   [1:0]  LANE0_RX_DISPARITY_ERROR_net_0;
wire          LANE0_RX_IDLE_net_0;
wire          LANE0_RX_READY_net_0;
wire          LANE0_RX_SLIP;
wire          LANE0_RX_VAL_net_0;
wire          LANE0_RXD_N;
wire          LANE0_RXD_P;
wire          LANE0_TX_CLK_G_net_0;
wire          LANE0_TX_CLK_STABLE_net_0;
wire   [15:0] LANE0_TX_DATA;
wire   [3:0]  LANE0_TX_DISPFNC;
wire          LANE0_TXD_N_net_0;
wire          LANE0_TXD_P_net_0;
wire          PF_TX_PLL_0_BIT_CLK;
wire          PF_TX_PLL_0_LOCK;
wire          PF_TX_PLL_0_REF_CLK_TO_LANE;
wire          PF_XCVR_REF_CLK_0_REF_CLK;
wire          REF_CLK_PAD_N;
wire          REF_CLK_PAD_P;
wire          LANE0_TXD_P_net_1;
wire          LANE0_TXD_N_net_1;
wire          LANE0_RX_READY_net_1;
wire          LANE0_RX_VAL_net_1;
wire          LANE0_RX_IDLE_net_1;
wire          LANE0_TX_CLK_STABLE_net_1;
wire          LANE0_TX_CLK_G_net_1;
wire          LANE0_RX_CLK_G_net_1;
wire          DIV_CLK_net_1;
wire          FAB_REF_CLK_net_1;
wire   [15:0] LANE0_RX_DATA_net_1;
wire   [1:0]  LANE0_8B10B_RX_K_net_1;
wire   [1:0]  LANE0_RX_CODE_VIOLATION_net_1;
wire   [1:0]  LANE0_RX_DISPARITY_ERROR_net_1;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire          GND_net;
wire   [10:0] DRI_CTRL_const_net_0;
wire   [32:0] DRI_WDATA_const_net_0;
wire   [3:0]  LANE0_TX_HDR_const_net_0;
wire   [3:0]  LANE0_TXDATAK_const_net_0;
wire   [1:0]  LANE0_SATA_TX_OOB_const_net_0;
wire   [1:0]  LANE0_POWERDOWN_const_net_0;
wire   [1:0]  LANE0_SATA_RATE_const_net_0;
wire   [1:0]  LANE0_TXPATTERN_const_net_0;
wire   [1:0]  LANE0_LOCK_OVERRIDE_const_net_0;
wire   [15:0] LANE1_TX_DATA_const_net_0;
wire   [3:0]  LANE1_TX_DISPFNC_const_net_0;
wire   [1:0]  LANE1_8B10B_TX_K_const_net_0;
wire   [3:0]  LANE1_TX_HDR_const_net_0;
wire   [3:0]  LANE1_TXDATAK_const_net_0;
wire   [1:0]  LANE1_SATA_TX_OOB_const_net_0;
wire   [1:0]  LANE1_POWERDOWN_const_net_0;
wire   [1:0]  LANE1_SATA_RATE_const_net_0;
wire   [1:0]  LANE1_TXPATTERN_const_net_0;
wire   [1:0]  LANE1_LOCK_OVERRIDE_const_net_0;
wire   [15:0] LANE2_TX_DATA_const_net_0;
wire   [3:0]  LANE2_TX_DISPFNC_const_net_0;
wire   [1:0]  LANE2_8B10B_TX_K_const_net_0;
wire   [3:0]  LANE2_TX_HDR_const_net_0;
wire   [3:0]  LANE2_TXDATAK_const_net_0;
wire   [1:0]  LANE2_SATA_TX_OOB_const_net_0;
wire   [1:0]  LANE2_POWERDOWN_const_net_0;
wire   [1:0]  LANE2_SATA_RATE_const_net_0;
wire   [1:0]  LANE2_TXPATTERN_const_net_0;
wire   [1:0]  LANE2_LOCK_OVERRIDE_const_net_0;
wire   [15:0] LANE3_TX_DATA_const_net_0;
wire   [3:0]  LANE3_TX_DISPFNC_const_net_0;
wire   [1:0]  LANE3_8B10B_TX_K_const_net_0;
wire   [3:0]  LANE3_TX_HDR_const_net_0;
wire   [3:0]  LANE3_TXDATAK_const_net_0;
wire   [1:0]  LANE3_SATA_TX_OOB_const_net_0;
wire   [1:0]  LANE3_POWERDOWN_const_net_0;
wire   [1:0]  LANE3_SATA_RATE_const_net_0;
wire   [1:0]  LANE3_TXPATTERN_const_net_0;
wire   [1:0]  LANE3_LOCK_OVERRIDE_const_net_0;
wire   [1:0]  POWERDOWN_const_net_0;
wire   [2:0]  TXMARGIN_const_net_0;
wire   [32:0] LANE1_DRI_WDATA_const_net_0;
wire   [10:0] LANE1_DRI_CTRL_const_net_0;
wire   [32:0] LANE2_DRI_WDATA_const_net_0;
wire   [10:0] LANE2_DRI_CTRL_const_net_0;
wire   [32:0] LANE3_DRI_WDATA_const_net_0;
wire   [10:0] LANE3_DRI_CTRL_const_net_0;
wire   [32:0] LANE0_DRI_WDATA_const_net_0;
wire   [10:0] LANE0_DRI_CTRL_const_net_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net                         = 1'b0;
assign DRI_CTRL_const_net_0            = 11'h000;
assign DRI_WDATA_const_net_0           = 33'h000000000;
assign LANE0_TX_HDR_const_net_0        = 4'h0;
assign LANE0_TXDATAK_const_net_0       = 4'h0;
assign LANE0_SATA_TX_OOB_const_net_0   = 2'h0;
assign LANE0_POWERDOWN_const_net_0     = 2'h0;
assign LANE0_SATA_RATE_const_net_0     = 2'h0;
assign LANE0_TXPATTERN_const_net_0     = 2'h0;
assign LANE0_LOCK_OVERRIDE_const_net_0 = 2'h0;
assign LANE1_TX_DATA_const_net_0       = 16'h0000;
assign LANE1_TX_DISPFNC_const_net_0    = 4'h0;
assign LANE1_8B10B_TX_K_const_net_0    = 2'h0;
assign LANE1_TX_HDR_const_net_0        = 4'h0;
assign LANE1_TXDATAK_const_net_0       = 4'h0;
assign LANE1_SATA_TX_OOB_const_net_0   = 2'h0;
assign LANE1_POWERDOWN_const_net_0     = 2'h0;
assign LANE1_SATA_RATE_const_net_0     = 2'h0;
assign LANE1_TXPATTERN_const_net_0     = 2'h0;
assign LANE1_LOCK_OVERRIDE_const_net_0 = 2'h0;
assign LANE2_TX_DATA_const_net_0       = 16'h0000;
assign LANE2_TX_DISPFNC_const_net_0    = 4'h0;
assign LANE2_8B10B_TX_K_const_net_0    = 2'h0;
assign LANE2_TX_HDR_const_net_0        = 4'h0;
assign LANE2_TXDATAK_const_net_0       = 4'h0;
assign LANE2_SATA_TX_OOB_const_net_0   = 2'h0;
assign LANE2_POWERDOWN_const_net_0     = 2'h0;
assign LANE2_SATA_RATE_const_net_0     = 2'h0;
assign LANE2_TXPATTERN_const_net_0     = 2'h0;
assign LANE2_LOCK_OVERRIDE_const_net_0 = 2'h0;
assign LANE3_TX_DATA_const_net_0       = 16'h0000;
assign LANE3_TX_DISPFNC_const_net_0    = 4'h0;
assign LANE3_8B10B_TX_K_const_net_0    = 2'h0;
assign LANE3_TX_HDR_const_net_0        = 4'h0;
assign LANE3_TXDATAK_const_net_0       = 4'h0;
assign LANE3_SATA_TX_OOB_const_net_0   = 2'h0;
assign LANE3_POWERDOWN_const_net_0     = 2'h0;
assign LANE3_SATA_RATE_const_net_0     = 2'h0;
assign LANE3_TXPATTERN_const_net_0     = 2'h0;
assign LANE3_LOCK_OVERRIDE_const_net_0 = 2'h0;
assign POWERDOWN_const_net_0           = 2'h0;
assign TXMARGIN_const_net_0            = 3'h0;
assign LANE1_DRI_WDATA_const_net_0     = 33'h000000000;
assign LANE1_DRI_CTRL_const_net_0      = 11'h000;
assign LANE2_DRI_WDATA_const_net_0     = 33'h000000000;
assign LANE2_DRI_CTRL_const_net_0      = 11'h000;
assign LANE3_DRI_WDATA_const_net_0     = 33'h000000000;
assign LANE3_DRI_CTRL_const_net_0      = 11'h000;
assign LANE0_DRI_WDATA_const_net_0     = 33'h000000000;
assign LANE0_DRI_CTRL_const_net_0      = 11'h000;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign LANE0_TXD_P_net_1              = LANE0_TXD_P_net_0;
assign LANE0_TXD_P                    = LANE0_TXD_P_net_1;
assign LANE0_TXD_N_net_1              = LANE0_TXD_N_net_0;
assign LANE0_TXD_N                    = LANE0_TXD_N_net_1;
assign LANE0_RX_READY_net_1           = LANE0_RX_READY_net_0;
assign LANE0_RX_READY                 = LANE0_RX_READY_net_1;
assign LANE0_RX_VAL_net_1             = LANE0_RX_VAL_net_0;
assign LANE0_RX_VAL                   = LANE0_RX_VAL_net_1;
assign LANE0_RX_IDLE_net_1            = LANE0_RX_IDLE_net_0;
assign LANE0_RX_IDLE                  = LANE0_RX_IDLE_net_1;
assign LANE0_TX_CLK_STABLE_net_1      = LANE0_TX_CLK_STABLE_net_0;
assign LANE0_TX_CLK_STABLE            = LANE0_TX_CLK_STABLE_net_1;
assign LANE0_TX_CLK_G_net_1           = LANE0_TX_CLK_G_net_0;
assign LANE0_TX_CLK_G                 = LANE0_TX_CLK_G_net_1;
assign LANE0_RX_CLK_G_net_1           = LANE0_RX_CLK_G_net_0;
assign LANE0_RX_CLK_G                 = LANE0_RX_CLK_G_net_1;
assign DIV_CLK_net_1                  = DIV_CLK_net_0;
assign DIV_CLK                        = DIV_CLK_net_1;
assign FAB_REF_CLK_net_1              = FAB_REF_CLK_net_0;
assign FAB_REF_CLK                    = FAB_REF_CLK_net_1;
assign LANE0_RX_DATA_net_1            = LANE0_RX_DATA_net_0;
assign LANE0_RX_DATA[15:0]            = LANE0_RX_DATA_net_1;
assign LANE0_8B10B_RX_K_net_1         = LANE0_8B10B_RX_K_net_0;
assign LANE0_8B10B_RX_K[1:0]          = LANE0_8B10B_RX_K_net_1;
assign LANE0_RX_CODE_VIOLATION_net_1  = LANE0_RX_CODE_VIOLATION_net_0;
assign LANE0_RX_CODE_VIOLATION[1:0]   = LANE0_RX_CODE_VIOLATION_net_1;
assign LANE0_RX_DISPARITY_ERROR_net_1 = LANE0_RX_DISPARITY_ERROR_net_0;
assign LANE0_RX_DISPARITY_ERROR[1:0]  = LANE0_RX_DISPARITY_ERROR_net_1;
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------SD1_PF_TX_PLL_0_PF_TX_PLL   -   Actel:SgCore:PF_TX_PLL:1.0.100
SD1_PF_TX_PLL_0_PF_TX_PLL PF_TX_PLL_0(
        // Inputs
        .REF_CLK         ( PF_XCVR_REF_CLK_0_REF_CLK ),
        // Outputs
        .LOCK            ( PF_TX_PLL_0_LOCK ),
        .BIT_CLK         ( PF_TX_PLL_0_BIT_CLK ),
        .DIV_CLK         ( DIV_CLK_net_0 ),
        .REF_CLK_TO_LANE ( PF_TX_PLL_0_REF_CLK_TO_LANE ) 
        );

//--------SD1_PF_XCVR_0_PF_XCVR   -   Actel:SgCore:PF_XCVR:1.0.210
SD1_PF_XCVR_0_PF_XCVR PF_XCVR_0(
        // Inputs
        .LANE0_TX_DATA            ( LANE0_TX_DATA ),
        .LANE0_CDR_REF_CLK_0      ( PF_XCVR_REF_CLK_0_REF_CLK ),
        .LANE0_TX_BIT_CLK_0       ( PF_TX_PLL_0_BIT_CLK ),
        .LANE0_TX_PLL_REF_CLK_0   ( PF_TX_PLL_0_REF_CLK_TO_LANE ),
        .LANE0_TX_PLL_LOCK_0      ( PF_TX_PLL_0_LOCK ),
        .LANE0_RX_SLIP            ( LANE0_RX_SLIP ),
        .LANE0_PCS_ARST_N         ( LANE0_PCS_ARST_N ),
        .LANE0_PMA_ARST_N         ( LANE0_PMA_ARST_N ),
        .LANE0_TX_DISPFNC         ( LANE0_TX_DISPFNC ),
        .LANE0_8B10B_TX_K         ( LANE0_8B10B_TX_K ),
        .LANE0_DRI_CLK            ( GND_net ), // tied to 1'b0 from definition
        .LANE0_DRI_WDATA          ( LANE0_DRI_WDATA_const_net_0 ), // tied to 33'h000000000 from definition
        .LANE0_DRI_ARST_N         ( GND_net ), // tied to 1'b0 from definition
        .LANE0_DRI_CTRL           ( LANE0_DRI_CTRL_const_net_0 ), // tied to 11'h000 from definition
        .LANE0_RXD_P              ( LANE0_RXD_P ),
        .LANE0_RXD_N              ( LANE0_RXD_N ),
        // Outputs
        .LANE0_RX_DATA            ( LANE0_RX_DATA_net_0 ),
        .LANE0_TX_CLK_G           ( LANE0_TX_CLK_G_net_0 ),
        .LANE0_RX_CLK_G           ( LANE0_RX_CLK_G_net_0 ),
        .LANE0_RX_IDLE            ( LANE0_RX_IDLE_net_0 ),
        .LANE0_RX_READY           ( LANE0_RX_READY_net_0 ),
        .LANE0_RX_VAL             ( LANE0_RX_VAL_net_0 ),
        .LANE0_TX_CLK_STABLE      ( LANE0_TX_CLK_STABLE_net_0 ),
        .LANE0_ARST_N             (  ),
        .LANE0_RX_CODE_VIOLATION  ( LANE0_RX_CODE_VIOLATION_net_0 ),
        .LANE0_RX_DISPARITY_ERROR ( LANE0_RX_DISPARITY_ERROR_net_0 ),
        .LANE0_8B10B_RX_K         ( LANE0_8B10B_RX_K_net_0 ),
        .LANE0_DRI_RDATA          (  ),
        .LANE0_DRI_INTERRUPT      (  ),
        .LANE0_TXD_P              ( LANE0_TXD_P_net_0 ),
        .LANE0_TXD_N              ( LANE0_TXD_N_net_0 ) 
        );

//--------SD1_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK   -   Actel:SgCore:PF_XCVR_REF_CLK:1.0.100
SD1_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK PF_XCVR_REF_CLK_0(
        // Inputs
        .REF_CLK_PAD_P ( REF_CLK_PAD_P ),
        .REF_CLK_PAD_N ( REF_CLK_PAD_N ),
        // Outputs
        .REF_CLK       ( PF_XCVR_REF_CLK_0_REF_CLK ),
        .FAB_REF_CLK   ( FAB_REF_CLK_net_0 ) 
        );


endmodule
