read_sdc -scenario "timing_analysis" -netlist "user" -pin_separator "/" -ignore_errors {D:/Appsnotes/2016/PF_Multi_rate_XVR_demo/Designs/Posted_design/PF_SERDES_8b10b/designer/EPCS_TX_RX/timing_analysis.sdc}
set_options -analysis_scenario "timing_analysis" 
save
set has_violations {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_has_violations}
set fp [open $has_violations w]
set coverage [report \
    -type     constraints_coverage \
    -format   xml \
    -slacks   no \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_timing_constraints_coverage.xml} ]
puts $fp "_timing_constraints_coverage $coverage"
report \
    -type     combinational_loops \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_timing_combinational_loops.xml}
set_options -max_opcond slow_lv_ht -min_opcond slow_lv_ht
set max_timing_slow_lv_ht [report \
    -type     timing \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_slow_lv_ht.xml} ]
puts $fp "_max_timing_slow_lv_ht $max_timing_slow_lv_ht"
set max_timing_violations_slow_lv_ht [report \
    -type     timing_violations \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_violations_slow_lv_ht.xml} ]
puts $fp "_max_timing_violations_slow_lv_ht $max_timing_violations_slow_lv_ht"
set min_timing_slow_lv_ht [report \
    -type     timing \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_slow_lv_ht.xml} ]
puts $fp "_min_timing_slow_lv_ht $min_timing_slow_lv_ht"
set min_timing_violations_slow_lv_ht [report \
    -type     timing_violations \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_violations_slow_lv_ht.xml} ]
puts $fp "_min_timing_violations_slow_lv_ht $min_timing_violations_slow_lv_ht"
set_options -max_opcond fast_hv_lt -min_opcond fast_hv_lt
set max_timing_fast_hv_lt [report \
    -type     timing \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_fast_hv_lt.xml} ]
puts $fp "_max_timing_fast_hv_lt $max_timing_fast_hv_lt"
set max_timing_violations_fast_hv_lt [report \
    -type     timing_violations \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_violations_fast_hv_lt.xml} ]
puts $fp "_max_timing_violations_fast_hv_lt $max_timing_violations_fast_hv_lt"
set min_timing_fast_hv_lt [report \
    -type     timing \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_fast_hv_lt.xml} ]
puts $fp "_min_timing_fast_hv_lt $min_timing_fast_hv_lt"
set min_timing_violations_fast_hv_lt [report \
    -type     timing_violations \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_violations_fast_hv_lt.xml} ]
puts $fp "_min_timing_violations_fast_hv_lt $min_timing_violations_fast_hv_lt"
set_options -max_opcond slow_lv_lt -min_opcond slow_lv_lt
set max_timing_slow_lv_lt [report \
    -type     timing \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_slow_lv_lt.xml} ]
puts $fp "_max_timing_slow_lv_lt $max_timing_slow_lv_lt"
set max_timing_violations_slow_lv_lt [report \
    -type     timing_violations \
    -analysis max \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_max_timing_violations_slow_lv_lt.xml} ]
puts $fp "_max_timing_violations_slow_lv_lt $max_timing_violations_slow_lv_lt"
set min_timing_slow_lv_lt [report \
    -type     timing \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_slow_lv_lt.xml} ]
puts $fp "_min_timing_slow_lv_lt $min_timing_slow_lv_lt"
set min_timing_violations_slow_lv_lt [report \
    -type     timing_violations \
    -analysis min \
    -format   xml \
    {D:\Appsnotes\2016\PF_Multi_rate_XVR_demo\Designs\Posted_design\PF_SERDES_8b10b\designer\EPCS_TX_RX\EPCS_TX_RX_min_timing_violations_slow_lv_lt.xml} ]
puts $fp "_min_timing_violations_slow_lv_lt $min_timing_violations_slow_lv_lt"
close $fp
