`timescale 1 ns/100 ps
// Version: 


module XCVR_PIPE(
       RX_REF_CLK,
       TXELECIDLE,
       RXSTANDBY,
       RXPOLARITY,
       TXSWING,
       TXDEEMPH,
       TXMARGIN,
       TXPATTERN,
       RATE,
       POWERDOWN,
       TXCOMPLIANCE,
       TXDETECTRX_LOOPBACK,
       ENCODEDECODEBYPASS,
       SATA_TX_OOB,
       TXDATA,
       RX_FWF_EN,
       TX_FWF_EN,
       RX_SLIP,
       TXDATAVALID,
       TXDATAK,
       PCS_ARST_N,
       PMA_ARST_N,
       RX_FWF_CLK,
       TX_FWF_CLK,
       ALIGNDETECT,
       RXSTANDBYSTATUS,
       RXELECIDLE,
       RX_BYPASS_DATA,
       TX_CLK_STABLE,
       RX_VAL,
       RX_READY,
       RX_IDLE,
       PHYSTATUS,
       RXSTATUS,
       RXVALID,
       RXDATAK,
       RXDATA,
       SATA_RX_OOB,
       RX_CLK_R,
       TX_CLK_R,
       PCS_DEBUG,
       REF_CLK_N,
       REF_CLK_P,
       RX_N,
       RX_P,
       TX_N,
       TX_P,
       JA_CLK,
       TX_BIT_CLK_0,
       TX_BIT_CLK_1,
       TX_PLL_LOCK_0,
       TX_PLL_LOCK_1,
       TX_PLL_REF_CLK_0,
       TX_PLL_REF_CLK_1,
       TX_CLK_G,
       RX_CLK_G,
       PMA_DEBUG,
       ARST_N,
       DRI_CLK,
       DRI_CTRL,
       DRI_WDATA,
       DRI_ARST_N,
       DRI_RDATA,
       DRI_INTERRUPT
    )
/* synthesis black_box

pragma attribute XCVR_PIPE ment_tsu0 ENCODEDECODEBYPASS->TX_FWF_CLK+1.070
pragma attribute XCVR_PIPE ment_tsu1 POWERDOWN[0]->TX_FWF_CLK+1.073
pragma attribute XCVR_PIPE ment_tsu2 POWERDOWN[1]->TX_FWF_CLK+1.084
pragma attribute XCVR_PIPE ment_tsu3 RATE[0]->TX_FWF_CLK+1.096
pragma attribute XCVR_PIPE ment_tsu4 RATE[1]->TX_FWF_CLK+1.111
pragma attribute XCVR_PIPE ment_tsu5 RXPOLARITY->TX_FWF_CLK+1.088
pragma attribute XCVR_PIPE ment_tsu6 RXSTANDBY->TX_FWF_CLK+1.117
pragma attribute XCVR_PIPE ment_tsu7 RX_FWF_EN->RX_FWF_CLK+0.819
pragma attribute XCVR_PIPE ment_tsu8 SATA_TX_OOB[0]->TX_FWF_CLK+1.173
pragma attribute XCVR_PIPE ment_tsu9 SATA_TX_OOB[1]->TX_FWF_CLK+1.157
pragma attribute XCVR_PIPE ment_tsu10 TXCOMPLIANCE->TX_FWF_CLK+1.092
pragma attribute XCVR_PIPE ment_tsu11 TXDATAK[0]->TX_FWF_CLK+1.084
pragma attribute XCVR_PIPE ment_tsu12 TXDATAK[1]->TX_FWF_CLK+1.093
pragma attribute XCVR_PIPE ment_tsu13 TXDATAK[2]->TX_FWF_CLK+1.176
pragma attribute XCVR_PIPE ment_tsu14 TXDATAK[3]->TX_FWF_CLK+1.159
pragma attribute XCVR_PIPE ment_tsu15 TXDATAVALID->TX_FWF_CLK+1.119
pragma attribute XCVR_PIPE ment_tsu16 TXDATA[0]->TX_FWF_CLK+1.071
pragma attribute XCVR_PIPE ment_tsu17 TXDATA[10]->TX_FWF_CLK+1.071
pragma attribute XCVR_PIPE ment_tsu18 TXDATA[11]->TX_FWF_CLK+1.068
pragma attribute XCVR_PIPE ment_tsu19 TXDATA[12]->TX_FWF_CLK+1.180
pragma attribute XCVR_PIPE ment_tsu20 TXDATA[13]->TX_FWF_CLK+1.136
pragma attribute XCVR_PIPE ment_tsu21 TXDATA[14]->TX_FWF_CLK+1.171
pragma attribute XCVR_PIPE ment_tsu22 TXDATA[15]->TX_FWF_CLK+1.089
pragma attribute XCVR_PIPE ment_tsu23 TXDATA[16]->TX_FWF_CLK+1.153
pragma attribute XCVR_PIPE ment_tsu24 TXDATA[17]->TX_FWF_CLK+1.093
pragma attribute XCVR_PIPE ment_tsu25 TXDATA[18]->TX_FWF_CLK+1.059
pragma attribute XCVR_PIPE ment_tsu26 TXDATA[19]->TX_FWF_CLK+1.129
pragma attribute XCVR_PIPE ment_tsu27 TXDATA[1]->TX_FWF_CLK+1.105
pragma attribute XCVR_PIPE ment_tsu28 TXDATA[20]->TX_FWF_CLK+1.079
pragma attribute XCVR_PIPE ment_tsu29 TXDATA[21]->TX_FWF_CLK+1.142
pragma attribute XCVR_PIPE ment_tsu30 TXDATA[22]->TX_FWF_CLK+1.075
pragma attribute XCVR_PIPE ment_tsu31 TXDATA[23]->TX_FWF_CLK+1.131
pragma attribute XCVR_PIPE ment_tsu32 TXDATA[24]->TX_FWF_CLK+1.106
pragma attribute XCVR_PIPE ment_tsu33 TXDATA[25]->TX_FWF_CLK+1.187
pragma attribute XCVR_PIPE ment_tsu34 TXDATA[26]->TX_FWF_CLK+1.158
pragma attribute XCVR_PIPE ment_tsu35 TXDATA[27]->TX_FWF_CLK+1.088
pragma attribute XCVR_PIPE ment_tsu36 TXDATA[28]->TX_FWF_CLK+1.140
pragma attribute XCVR_PIPE ment_tsu37 TXDATA[29]->TX_FWF_CLK+1.068
pragma attribute XCVR_PIPE ment_tsu38 TXDATA[2]->TX_FWF_CLK+1.168
pragma attribute XCVR_PIPE ment_tsu39 TXDATA[30]->TX_FWF_CLK+1.070
pragma attribute XCVR_PIPE ment_tsu40 TXDATA[31]->TX_FWF_CLK+1.095
pragma attribute XCVR_PIPE ment_tsu41 TXDATA[32]->TX_FWF_CLK+1.150
pragma attribute XCVR_PIPE ment_tsu42 TXDATA[33]->TX_FWF_CLK+1.097
pragma attribute XCVR_PIPE ment_tsu43 TXDATA[34]->TX_FWF_CLK+1.112
pragma attribute XCVR_PIPE ment_tsu44 TXDATA[35]->TX_FWF_CLK+1.102
pragma attribute XCVR_PIPE ment_tsu45 TXDATA[36]->TX_FWF_CLK+1.127
pragma attribute XCVR_PIPE ment_tsu46 TXDATA[37]->TX_FWF_CLK+1.157
pragma attribute XCVR_PIPE ment_tsu47 TXDATA[38]->TX_FWF_CLK+1.087
pragma attribute XCVR_PIPE ment_tsu48 TXDATA[39]->TX_FWF_CLK+1.127
pragma attribute XCVR_PIPE ment_tsu49 TXDATA[3]->TX_FWF_CLK+1.124
pragma attribute XCVR_PIPE ment_tsu50 TXDATA[4]->TX_FWF_CLK+1.104
pragma attribute XCVR_PIPE ment_tsu51 TXDATA[5]->TX_FWF_CLK+1.097
pragma attribute XCVR_PIPE ment_tsu52 TXDATA[6]->TX_FWF_CLK+1.189
pragma attribute XCVR_PIPE ment_tsu53 TXDATA[7]->TX_FWF_CLK+1.145
pragma attribute XCVR_PIPE ment_tsu54 TXDATA[8]->TX_FWF_CLK+1.173
pragma attribute XCVR_PIPE ment_tsu55 TXDATA[9]->TX_FWF_CLK+1.193
pragma attribute XCVR_PIPE ment_tsu56 TXDEEMPH->TX_FWF_CLK+1.102
pragma attribute XCVR_PIPE ment_tsu57 TXDETECTRX_LOOPBACK->TX_FWF_CLK+1.168
pragma attribute XCVR_PIPE ment_tsu58 TXELECIDLE->TX_FWF_CLK+1.128
pragma attribute XCVR_PIPE ment_tsu59 TXMARGIN[0]->TX_FWF_CLK+1.104
pragma attribute XCVR_PIPE ment_tsu60 TXMARGIN[1]->TX_FWF_CLK+1.114
pragma attribute XCVR_PIPE ment_tsu61 TXMARGIN[2]->TX_FWF_CLK+1.084
pragma attribute XCVR_PIPE ment_tsu62 TXPATTERN[0]->TX_FWF_CLK+1.167
pragma attribute XCVR_PIPE ment_tsu63 TXPATTERN[1]->TX_FWF_CLK+1.092
pragma attribute XCVR_PIPE ment_tsu64 TXSWING->TX_FWF_CLK+1.146
pragma attribute XCVR_PIPE ment_tsu65 TX_FWF_EN->TX_FWF_CLK+0.951
pragma attribute XCVR_PIPE ment_tpd0 POWERDOWN[0]->PCS_DEBUG[12]+6.119
pragma attribute XCVR_PIPE ment_tpd1 POWERDOWN[0]->PCS_DEBUG[17]+6.528
pragma attribute XCVR_PIPE ment_tpd2 POWERDOWN[0]->PCS_DEBUG[2]+6.424
pragma attribute XCVR_PIPE ment_tpd3 POWERDOWN[0]->PCS_DEBUG[7]+5.879
pragma attribute XCVR_PIPE ment_tpd4 POWERDOWN[1]->PCS_DEBUG[13]+5.813
pragma attribute XCVR_PIPE ment_tpd5 POWERDOWN[1]->PCS_DEBUG[18]+6.683
pragma attribute XCVR_PIPE ment_tpd6 POWERDOWN[1]->PCS_DEBUG[3]+6.838
pragma attribute XCVR_PIPE ment_tpd7 POWERDOWN[1]->PCS_DEBUG[8]+6.297
pragma attribute XCVR_PIPE ment_tco8 RX_FWF_CLK->ALIGNDETECT+2.914
pragma attribute XCVR_PIPE ment_tco9 RX_FWF_CLK->PHYSTATUS+2.968
pragma attribute XCVR_PIPE ment_tco10 RX_FWF_CLK->RXDATAK[0]+2.855
pragma attribute XCVR_PIPE ment_tco11 RX_FWF_CLK->RXDATAK[1]+2.826
pragma attribute XCVR_PIPE ment_tco12 RX_FWF_CLK->RXDATAK[2]+2.879
pragma attribute XCVR_PIPE ment_tco13 RX_FWF_CLK->RXDATAK[3]+2.851
pragma attribute XCVR_PIPE ment_tco14 RX_FWF_CLK->RXDATA[0]+2.849
pragma attribute XCVR_PIPE ment_tco15 RX_FWF_CLK->RXDATA[10]+2.872
pragma attribute XCVR_PIPE ment_tco16 RX_FWF_CLK->RXDATA[11]+2.854
pragma attribute XCVR_PIPE ment_tco17 RX_FWF_CLK->RXDATA[12]+2.889
pragma attribute XCVR_PIPE ment_tco18 RX_FWF_CLK->RXDATA[13]+2.887
pragma attribute XCVR_PIPE ment_tco19 RX_FWF_CLK->RXDATA[14]+2.861
pragma attribute XCVR_PIPE ment_tco20 RX_FWF_CLK->RXDATA[15]+2.839
pragma attribute XCVR_PIPE ment_tco21 RX_FWF_CLK->RXDATA[16]+2.875
pragma attribute XCVR_PIPE ment_tco22 RX_FWF_CLK->RXDATA[17]+2.867
pragma attribute XCVR_PIPE ment_tco23 RX_FWF_CLK->RXDATA[18]+2.885
pragma attribute XCVR_PIPE ment_tco24 RX_FWF_CLK->RXDATA[19]+2.861
pragma attribute XCVR_PIPE ment_tco25 RX_FWF_CLK->RXDATA[1]+2.839
pragma attribute XCVR_PIPE ment_tco26 RX_FWF_CLK->RXDATA[20]+2.885
pragma attribute XCVR_PIPE ment_tco27 RX_FWF_CLK->RXDATA[21]+2.853
pragma attribute XCVR_PIPE ment_tco28 RX_FWF_CLK->RXDATA[22]+2.870
pragma attribute XCVR_PIPE ment_tco29 RX_FWF_CLK->RXDATA[23]+2.876
pragma attribute XCVR_PIPE ment_tco30 RX_FWF_CLK->RXDATA[24]+2.897
pragma attribute XCVR_PIPE ment_tco31 RX_FWF_CLK->RXDATA[25]+2.887
pragma attribute XCVR_PIPE ment_tco32 RX_FWF_CLK->RXDATA[26]+2.889
pragma attribute XCVR_PIPE ment_tco33 RX_FWF_CLK->RXDATA[27]+2.894
pragma attribute XCVR_PIPE ment_tco34 RX_FWF_CLK->RXDATA[28]+2.863
pragma attribute XCVR_PIPE ment_tco35 RX_FWF_CLK->RXDATA[29]+2.865
pragma attribute XCVR_PIPE ment_tco36 RX_FWF_CLK->RXDATA[2]+2.841
pragma attribute XCVR_PIPE ment_tco37 RX_FWF_CLK->RXDATA[30]+2.894
pragma attribute XCVR_PIPE ment_tco38 RX_FWF_CLK->RXDATA[31]+2.885
pragma attribute XCVR_PIPE ment_tco39 RX_FWF_CLK->RXDATA[32]+2.857
pragma attribute XCVR_PIPE ment_tco40 RX_FWF_CLK->RXDATA[33]+2.872
pragma attribute XCVR_PIPE ment_tco41 RX_FWF_CLK->RXDATA[34]+2.835
pragma attribute XCVR_PIPE ment_tco42 RX_FWF_CLK->RXDATA[35]+2.854
pragma attribute XCVR_PIPE ment_tco43 RX_FWF_CLK->RXDATA[36]+2.859
pragma attribute XCVR_PIPE ment_tco44 RX_FWF_CLK->RXDATA[37]+2.897
pragma attribute XCVR_PIPE ment_tco45 RX_FWF_CLK->RXDATA[38]+2.883
pragma attribute XCVR_PIPE ment_tco46 RX_FWF_CLK->RXDATA[39]+2.869
pragma attribute XCVR_PIPE ment_tco47 RX_FWF_CLK->RXDATA[3]+2.878
pragma attribute XCVR_PIPE ment_tco48 RX_FWF_CLK->RXDATA[4]+2.868
pragma attribute XCVR_PIPE ment_tco49 RX_FWF_CLK->RXDATA[5]+2.844
pragma attribute XCVR_PIPE ment_tco50 RX_FWF_CLK->RXDATA[6]+2.834
pragma attribute XCVR_PIPE ment_tco51 RX_FWF_CLK->RXDATA[7]+2.868
pragma attribute XCVR_PIPE ment_tco52 RX_FWF_CLK->RXDATA[8]+2.851
pragma attribute XCVR_PIPE ment_tco53 RX_FWF_CLK->RXDATA[9]+2.866
pragma attribute XCVR_PIPE ment_tco54 RX_FWF_CLK->RXELECIDLE+2.951
pragma attribute XCVR_PIPE ment_tco55 RX_FWF_CLK->RXSTANDBYSTATUS+2.896
pragma attribute XCVR_PIPE ment_tco56 RX_FWF_CLK->RXSTATUS[0]+2.950
pragma attribute XCVR_PIPE ment_tco57 RX_FWF_CLK->RXSTATUS[1]+2.941
pragma attribute XCVR_PIPE ment_tco58 RX_FWF_CLK->RXSTATUS[2]+2.978
pragma attribute XCVR_PIPE ment_tco59 RX_FWF_CLK->RXVALID+2.860
pragma attribute XCVR_PIPE ment_tco60 RX_FWF_CLK->RX_BYPASS_DATA+2.923
pragma attribute XCVR_PIPE ment_tco61 RX_FWF_CLK->RX_VAL+2.279
pragma attribute XCVR_PIPE ment_tco62 RX_FWF_CLK->SATA_RX_OOB[0]+2.866
pragma attribute XCVR_PIPE ment_tco63 RX_FWF_CLK->SATA_RX_OOB[1]+2.849
pragma attribute XCVR_PIPE ment_tpd64 TXELECIDLE->PCS_DEBUG[14]+6.490
pragma attribute XCVR_PIPE ment_tpd65 TXELECIDLE->PCS_DEBUG[4]+6.653
*/
/* synthesis black_box black_box_pad ="RX_N,RX_P,TX_N,TX_P" */
 ;
input  RX_REF_CLK;
input  TXELECIDLE;
input  RXSTANDBY;
input  RXPOLARITY;
input  TXSWING;
input  TXDEEMPH;
input  [2:0] TXMARGIN;
input  [1:0] TXPATTERN;
input  [1:0] RATE;
input  [1:0] POWERDOWN;
input  TXCOMPLIANCE;
input  TXDETECTRX_LOOPBACK;
input  ENCODEDECODEBYPASS;
input  [1:0] SATA_TX_OOB;
input  [39:0] TXDATA;
input  RX_FWF_EN;
input  TX_FWF_EN;
input  RX_SLIP;
input  TXDATAVALID;
input  [3:0] TXDATAK;
input  PCS_ARST_N;
input  PMA_ARST_N;
input  RX_FWF_CLK;
input  TX_FWF_CLK;
output ALIGNDETECT;
output RXSTANDBYSTATUS;
output RXELECIDLE;
output RX_BYPASS_DATA;
output TX_CLK_STABLE;
output RX_VAL;
output RX_READY;
output RX_IDLE;
output PHYSTATUS;
output [2:0] RXSTATUS;
output RXVALID;
output [3:0] RXDATAK;
output [39:0] RXDATA;
output [1:0] SATA_RX_OOB;
output RX_CLK_R;
output TX_CLK_R;
output [19:0] PCS_DEBUG;
input  REF_CLK_N;
input  REF_CLK_P;
input  RX_N;
input  RX_P;
output TX_N;
output TX_P;
output JA_CLK;
input  TX_BIT_CLK_0;
input  TX_BIT_CLK_1;
input  TX_PLL_LOCK_0;
input  TX_PLL_LOCK_1;
input  TX_PLL_REF_CLK_0;
input  TX_PLL_REF_CLK_1;
output TX_CLK_G;
output RX_CLK_G;
output PMA_DEBUG;
output [1:0] ARST_N;
input  DRI_CLK;
input  [10:0] DRI_CTRL;
input  [32:0] DRI_WDATA;
input  DRI_ARST_N;
output [32:0] DRI_RDATA;
output DRI_INTERRUPT;
parameter MAIN_QMUX_R0_QRST0_SRC = 'h0;
parameter MAIN_QMUX_R0_QRST1_SRC = 'h0;
parameter MAIN_QMUX_R0_QRST2_SRC = 'h0;
parameter MAIN_QMUX_R0_QRST3_SRC = 'h0;
parameter MSC_UNIQUE = "";
parameter JA_REF_CLK_SEL = "";
parameter DATA_RATE = 0.0;
parameter REG_FILE = "";
parameter INTERFACE_LEVEL = 'h0;
parameter GPSSMAIN_SOFT_RESET_NV_MAP = 'h0;
parameter GPSSMAIN_SOFT_RESET_V_MAP = 'h0;
parameter GPSSMAIN_SOFT_RESET_PERIPH = 'h0;
parameter GPSSMAIN_SPARE_SCRATCHPAD = 'h0;
parameter GPSSMAIN_SPARE_SPARE_CTRL = 'h0;
parameter PMA_CMN_SOFT_RESET_NV_MAP = 'h0;
parameter PMA_CMN_SOFT_RESET_V_MAP = 'h0;
parameter PMA_CMN_SOFT_RESET_PERIPH = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK1_MODE = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK1_ENTERM = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK0_MODE = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK0_ENTERM = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK1_EN_HYST = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_DUALCLK0_EN_HYST = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_CLKBUF_EN_RDIFF = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_CLKBUF_EN_UDRIVE_P = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_CLKBUF_EN_UDRIVE_N = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_CLKBUF_EN_PULLUP = 'h0;
parameter PMA_CMN_TXPLL_CLKBUF_TXPLL_CLKBUF_EN_APAD = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_BWSEL = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_VBGREF_SEL = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_FBDIV_SEL = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_DSMPD = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_PHASESTEPAMOUNT = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_STEP_PHASE = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_PD = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_AUXDIVPD = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_CLKRESETEN = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_CLKRESET = 'h0;
parameter PMA_CMN_TXPLL_CTRL_RESET_RTL_TXPLL = 'h0;
parameter PMA_CMN_TXPLL_CTRL_RESET_RTL = 'h0;
parameter PMA_CMN_TXPLL_CTRL_TXPLL_FOUTAUXDIV2_SEL = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_TXPLL_REFCLK_SEL_HM = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_TXPLL_REFCLK_SEL_SM = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CASCADE_CLK_SEL_HM = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CASCADE_CLK_SEL_SM = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_TXPLL_JA_FREF_SEL = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CDRCLK_LN01_INT_SEL = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CDRCLK_LN23_INT_SEL = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CDRCLK_OUT_UP_SEL = 'h0;
parameter PMA_CMN_TXPLL_CLK_SEL_CDRCLK_OUT_DN_SEL = 'h0;
parameter PMA_CMN_TXPLL_DIV_1_TXPLL_AUXDIV = 'h0;
parameter PMA_CMN_TXPLL_DIV_1_TXPLL_FBDIV = 'h0;
parameter PMA_CMN_TXPLL_DIV_2_TXPLL_FRAC = 'h0;
parameter PMA_CMN_TXPLL_DIV_2_TXPLL_REFDIV = 'h0;
parameter PMA_CMN_TXPLL_JA_1_TXPLL_JA_DIVFIN = 'h0;
parameter PMA_CMN_TXPLL_JA_1_TXPLL_JA_DIVFFB = 'h0;
parameter PMA_CMN_TXPLL_JA_2_TXPLL_JA_SYNCCNTMAX = 'h0;
parameter PMA_CMN_TXPLL_JA_3_TXPLL_JA_CNTOFFSET = 'h0;
parameter PMA_CMN_TXPLL_JA_3_TXPLL_JA_TARGETCNT = 'h0;
parameter PMA_CMN_TXPLL_JA_4_TXPLL_JA_OTDLY = 'h0;
parameter PMA_CMN_TXPLL_JA_4_TXPLL_JA_FMI = 'h0;
parameter PMA_CMN_TXPLL_JA_4_TXPLL_JA_FKI = 'h0;
parameter PMA_CMN_TXPLL_JA_5_TXPLL_JA_PMP1 = 'h0;
parameter PMA_CMN_TXPLL_JA_5_TXPLL_JA_PMP2 = 'h0;
parameter PMA_CMN_TXPLL_JA_5_TXPLL_JA_PMI1 = 'h0;
parameter PMA_CMN_TXPLL_JA_5_TXPLL_JA_PMI2 = 'h0;
parameter PMA_CMN_TXPLL_JA_6_TXPLL_JA_PKP1 = 'h0;
parameter PMA_CMN_TXPLL_JA_6_TXPLL_JA_PKP2 = 'h0;
parameter PMA_CMN_TXPLL_JA_6_TXPLL_JA_PKI1 = 'h0;
parameter PMA_CMN_TXPLL_JA_6_TXPLL_JA_PKI2 = 'h0;
parameter PMA_CMN_TXPLL_JA_7_TXPLL_JA_DELAYK = 'h0;
parameter PMA_CMN_TXPLL_JA_7_TXPLL_JA_FDONLY = 'h0;
parameter PMA_CMN_TXPLL_JA_7_TXPLL_JA_ONTARGETOV = 'h0;
parameter PMA_CMN_TXPLL_JA_7_TXPLL_JA_PROGRAM = 'h0;
parameter PMA_CMN_TXPLL_JA_8_TXPLL_JA_FRAC_PRESET = 'h0;
parameter PMA_CMN_TXPLL_JA_8_TXPLL_JA_PRESET_EN = 'h0;
parameter PMA_CMN_TXPLL_JA_8_TXPLL_JA_HOLD = 'h0;
parameter PMA_CMN_TXPLL_JA_9_TXPLL_JA_INT_PRESET = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_FFB_OVERRIDE = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_FFB_EXT = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_FIN_OVERRIDE = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_FIN_EXT = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_CLKS_OVERRIDE = 'h0;
parameter PMA_CMN_TXPLL_JA_RST_TXPLL_JA_RESET_CLKS_EXT = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_DOWNSPREAD = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_DISABLE_SSCG = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_SPREAD = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_DIVVAL = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_EXT_MAXADDR = 'h0;
parameter PMA_CMN_SERDES_SSMOD_SSMOD_SEL_EXTWAVE = 'h0;
parameter PMA_CMN_SERDES_SSMOD_RN_SEL = 'h0;
parameter PMA_CMN_SERDES_SSMOD_RN_FILTER = 'h0;
parameter PMA_CMN_SERDES_RTERM_RTERMCAL85 = 'h0;
parameter PMA_CMN_SERDES_RTERM_RTERMCAL100 = 'h0;
parameter PMA_CMN_SERDES_RTERM_RTERMCAL150 = 'h0;
parameter PMA_CMN_SERDES_RTT_RTT_CAL_TERM = 'h0;
parameter PMA_CMN_SERDES_RTT_RTT_CURRENT_PROG = 'h0;
parameter PMA_SOFT_RESET_NV_MAP = 'h0;
parameter PMA_SOFT_RESET_V_MAP = 'h0;
parameter PMA_DES_CDR_CTRL_1_DCFBEN_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_1_H0CDR0 = 'h0;
parameter PMA_DES_CDR_CTRL_1_H0CDR1 = 'h0;
parameter PMA_DES_CDR_CTRL_1_H0CDR2 = 'h0;
parameter PMA_DES_CDR_CTRL_1_H0CDR3 = 'h0;
parameter PMA_DES_CDR_CTRL_1_CMRTRIM_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_2_CSENT1_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_2_CSENT2_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_2_CSENT3_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_SLIP_DES_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_SLIP_DES_CDR_SEL = 'h0;
parameter PMA_DES_CDR_CTRL_3_SLIP_DES_CDR_EN = 'h0;
parameter PMA_DES_DFEEM_CTRL_1_CSENT1_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_1_CSENT2_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_1_CSENT3_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_1_CMRTRIM_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_2_H1 = 'h0;
parameter PMA_DES_DFEEM_CTRL_2_H2 = 'h0;
parameter PMA_DES_DFEEM_CTRL_2_H3 = 'h0;
parameter PMA_DES_DFEEM_CTRL_2_H4 = 'h0;
parameter PMA_DES_DFEEM_CTRL_3_H5 = 'h0;
parameter PMA_DES_DFE_CTRL_1_DCFBEN_DFE = 'h0;
parameter PMA_DES_DFE_CTRL_1_H0DFE0 = 'h0;
parameter PMA_DES_DFE_CTRL_1_H0DFE1 = 'h0;
parameter PMA_DES_DFE_CTRL_2_PHICTRL_TH_DFE = 'h0;
parameter PMA_DES_DFE_CTRL_2_PHICTRL_GRAY_DFE = 'h0;
parameter PMA_DES_DFE_CTRL_2_SLIP_DES_DFE = 'h0;
parameter PMA_DES_DFE_CTRL_2_SLIP_DES_DFE_SEL = 'h0;
parameter PMA_DES_DFE_CTRL_2_SLIP_DES_DFE_EN = 'h0;
parameter PMA_DES_EM_CTRL_1_DCFBEN_EM = 'h0;
parameter PMA_DES_EM_CTRL_1_H0EM0 = 'h0;
parameter PMA_DES_EM_CTRL_1_H0EM1 = 'h0;
parameter PMA_DES_EM_CTRL_1_CALIBRATION_CLK_EN = 'h0;
parameter PMA_DES_EM_CTRL_2_PHICTRL_TH_EM = 'h0;
parameter PMA_DES_EM_CTRL_2_PHICTRL_GRAY_EM = 'h0;
parameter PMA_DES_EM_CTRL_2_SLIP_DES_EM = 'h0;
parameter PMA_DES_EM_CTRL_2_SLIP_DES_EM_SEL = 'h0;
parameter PMA_DES_EM_CTRL_2_SLIP_DES_EM_EN = 'h0;
parameter PMA_DES_RTL_EM_RUN_EYEMONITOR_COMPARISON = 'h0;
parameter PMA_DES_RTL_EM_EYEMONITOR_SAMPLE_COUNT = 'h0;
parameter PMA_DES_RTL_LOCK_CTRL_LOCK_OVERRIDE_FROMFAB = 'h0;
parameter PMA_DES_TEST_BUS_RXATESTSEL = 'h0;
parameter PMA_DES_TEST_BUS_RXDTESTEN = 'h0;
parameter PMA_DES_TEST_BUS_RXDTESTSEL = 'h0;
parameter PMA_DES_CLK_CTRL_RXBYPASSEN = 'h0;
parameter PMA_DES_RSTPD_RXPD = 'h0;
parameter PMA_DES_RSTPD_RESETDES = 'h0;
parameter PMA_DES_RSTPD_PDDFE = 'h0;
parameter PMA_DES_RSTPD_PDEM = 'h0;
parameter PMA_DES_RSTPD_RCVEN = 'h0;
parameter PMA_DES_RSTPD_RESET_FIFO = 'h0;
parameter PMA_DES_RTL_ERR_CHK_READ_ERROR = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE1_RXPLL_FBDIV = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE1_RXPLL_REFDIV = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE1_RXPLL_RANGE = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE2_RXPLL_FBDIV = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE2_RXPLL_REFDIV = 'h0;
parameter PMA_DES_PCIE1_2_RXPLL_DIV_PCIE2_RXPLL_RANGE = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA1_RXPLL_FBDIV = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA1_RXPLL_REFDIV = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA1_RXPLL_RANGE = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA2_RXPLL_FBDIV = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA2_RXPLL_REFDIV = 'h0;
parameter PMA_DES_SATA1_2_RXPLL_DIV_SATA2_RXPLL_RANGE = 'h0;
parameter PMA_DES_SATA3_RXPLL_DIV_SATA3_RXPLL_FBDIV = 'h0;
parameter PMA_DES_SATA3_RXPLL_DIV_SATA3_RXPLL_REFDIV = 'h0;
parameter PMA_DES_SATA3_RXPLL_DIV_SATA3_RXPLL_RANGE = 'h0;
parameter PMA_SER_CTRL_CMSTEP_VALUE = 'h0;
parameter PMA_SER_CTRL_CMSTEP = 'h0;
parameter PMA_SER_CTRL_NLPBK_EN = 'h0;
parameter PMA_SER_CTRL_HSLPBKEN = 'h0;
parameter PMA_SER_CTRL_HSLPBK_SEL = 'h0;
parameter PMA_SER_RSTPD_RESETSEREN = 'h0;
parameter PMA_SER_RSTPD_RESETSER = 'h0;
parameter PMA_SER_RSTPD_TXPD = 'h0;
parameter PMA_SER_DRV_BYP_BYPASSSER = 'h0;
parameter PMA_SER_RXDET_CTRL_RXDETECT_COUNT_THRESHOLD = 'h0;
parameter PMA_SER_RXDET_CTRL_RX_DETECT_EN = 'h0;
parameter PMA_SER_RXDET_CTRL_RXDETECT_START = 'h0;
parameter PMA_SER_STATIC_LSB_STATIC_PATTERN_LSB = 'h0;
parameter PMA_SER_STATIC_MSB_STATIC_PATTERN_MSB = 'h0;
parameter PMA_SER_TEST_BUS_TXATESTSEL = 'h0;
parameter PMA_SER_TEST_BUS_DTESTEN_RTL = 'h0;
parameter PMA_SER_TEST_BUS_DTESTSEL_RTL = 'h0;
parameter PMA_SER_TEST_BUS_JTAG_TO_DTEST_SEL = 'h0;
parameter PMA_SER_TEST_BUS_PRBSERR_TO_DTEST_SEL = 'h0;
parameter PMA_SER_TEST_BUS_RXPKDETOUT_TO_DTEST_SEL = 'h0;
parameter PMA_SER_DRV_CTRL_M0_TXDRVTRIM_FS_3P5DB_M0 = 'h0;
parameter PMA_SER_DRV_CTRL_M0_TXDRVTRIM_FS_6P0DB_M0 = 'h0;
parameter PMA_SER_DRV_CTRL_M0_TXDRVTRIM_HS_0DB_M0 = 'h0;
parameter PMA_SER_DRV_CTRL_M1_TXDRVTRIM_FS_3P5DB_M1 = 'h0;
parameter PMA_SER_DRV_CTRL_M1_TXDRVTRIM_FS_6P0DB_M1 = 'h0;
parameter PMA_SER_DRV_CTRL_M1_TXDRVTRIM_HS_0DB_M1 = 'h0;
parameter PMA_SER_DRV_CTRL_M2_TXDRVTRIM_FS_3P5DB_M2 = 'h0;
parameter PMA_SER_DRV_CTRL_M2_TXDRVTRIM_FS_6P0DB_M2 = 'h0;
parameter PMA_SER_DRV_CTRL_M2_TXDRVTRIM_HS_0DB_M2 = 'h0;
parameter PMA_SER_DRV_CTRL_M3_TXDRVTRIM_FS_3P5DB_M3 = 'h0;
parameter PMA_SER_DRV_CTRL_M3_TXDRVTRIM_FS_6P0DB_M3 = 'h0;
parameter PMA_SER_DRV_CTRL_M3_TXDRVTRIM_HS_0DB_M3 = 'h0;
parameter PMA_SER_DRV_CTRL_M4_TXDRVTRIM_FS_3P5DB_M4 = 'h0;
parameter PMA_SER_DRV_CTRL_M4_TXDRVTRIM_FS_6P0DB_M4 = 'h0;
parameter PMA_SER_DRV_CTRL_M4_TXDRVTRIM_HS_0DB_M4 = 'h0;
parameter PMA_SER_DRV_CTRL_M5_TXDRVTRIM_BEACON_3P5DB_0 = 'h0;
parameter PMA_SER_DRV_CTRL_M5_TXDRVTRIM_BEACON_3P5DB_1 = 'h0;
parameter PMA_SER_DRV_CTRL_M5_TXDRVTRIM_BEACON_6P0DB_0 = 'h0;
parameter PMA_SER_DRV_CTRL_M5_TXDRVTRIM_BEACON_6P0DB_1 = 'h0;
parameter PMA_SERDES_RTL_CTRL_RESET_RTL = 'h0;
parameter PMA_SERDES_RTL_CTRL_TX_PRBSMODE = 'h0;
parameter PMA_SERDES_RTL_CTRL_TX_DATA_SELECT = 'h0;
parameter PMA_SERDES_RTL_CTRL_RX_DATA_SELECT = 'h0;
parameter PMA_SERDES_RTL_CTRL_RX_FIFO_INPUT_SELECT_NEIGHBOR = 'h0;
parameter PMA_SERDES_RTL_CTRL_RX_EYEMONITOR_COMPARISON_DATA_SEL = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_DFE_CAL_CEN = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_DFE_CAL_RESET = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_EN_FE_CAL = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_EN_DFE_CAL = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_EN_OFFSET_CAL = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_WAIT_PERIOD_GOOD_LOCK = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_NUM_SAMPLES_CTLE_OFFSET_CAL = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_0_NUM_SAMPLES_GOOD_LOCK = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_BYPASS_DFECAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_EM_ONLY = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_FORCEH = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_PHASE_DIRECTION_USER = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_CLKDIV = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_FREQUENCY = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_FORCE_CDR_COEFFS = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_DFE_CAL_NUM_COEFFS = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_MAX_DFE_CYCLES = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_1_MAX_AREA_CYCLES = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_SETALT_OFFSET_DFE0 = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_SETALT_OFFSET_DFE1 = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_SETALT_OFFSET_EM0 = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_SETALT_OFFSET_EM1 = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_SET_DFE_COEFFS_USER = 'h0;
parameter PMA_DES_DFE_CAL_CTRL_2_ERROR_THR_CHANNEL_ALIGN = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL0_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL1_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL2_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL3_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL4_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL5_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL6_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CTLE_OFFSET_CAL7_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_AREA_COMPUTE_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CHANNEL_ALIGN_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CENTER_HORIZONTAL_EM_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_CENTER_HORIZONTAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_HORIZONTAL_EM_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_HORIZONTAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_VERTICAL_EM_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_VERTICAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_DFECAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_FE_CALIBRATION_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_FULL_CAL_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_GOOD_LOCK_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_STEP_PHASE_DFE_USER = 'h0;
parameter PMA_DES_DFE_CAL_CMD_RUN_STEP_PHASE_EM_USER = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H0CDR = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H0DFE = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H0EM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H1 = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H2 = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H3 = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H4 = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_H5 = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CALIBRATION_CLK_EN = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CDRCTLE = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CST1_DFEEM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CST2_DFEEM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CTLEEN_DFE = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_CTLEEN_EM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_PHICTRL_DFE = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_PHICTRL_EM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_RCVEN = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_RST1_DFEEM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_RST2_DFEEM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_RUN_EYEMONITOR_COMPARISON = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_SLIP_DES_EM = 'h0;
parameter PMA_DES_DFE_CAL_BYPASS_SEL_LOCK_OVERRIDE = 'h0;
parameter PCSCMN_SOFT_RESET_NV_MAP = 'h0;
parameter PCSCMN_SOFT_RESET_V_MAP = 'h0;
parameter PCSCMN_SOFT_RESET_PERIPH = 'h0;
parameter PCSCMN_GSSCLK_CTRL_MCLK_GSSCLK_0_SEL = 'h0;
parameter PCSCMN_GSSCLK_CTRL_MCLK_GSSCLK_1_SEL = 'h0;
parameter PCSCMN_GSSCLK_CTRL_MCLK_GSSCLK_2_SEL = 'h0;
parameter PCSCMN_QRST_R0_QRST0_LANE = 'h0;
parameter PCSCMN_QRST_R0_QRST0_RST_SEL = 'h0;
parameter PCSCMN_QRST_R0_QRST1_LANE = 'h0;
parameter PCSCMN_QRST_R0_QRST1_RST_SEL = 'h0;
parameter PCSCMN_QDBG_R0_PCS_DBG_MODE = 'h0;
parameter PCSCMN_QDBG_R0_PCS_DBG_LANE_X = 'h0;
parameter PCSCMN_QDBG_R0_PCS_DBG_LANE_Y = 'h0;
parameter PCS_SOFT_RESET_NV_MAP = 'h0;
parameter PCS_SOFT_RESET_V_MAP = 'h0;
parameter PCS_LFWF_R0_RXFWF_WMARK = 'h0;
parameter PCS_LFWF_R0_TXFWF_WMARK = 'h0;
parameter PCS_LPIP_R0_PIPE_SHAREDPLL = 'h0;
parameter PCS_LPIP_R0_PIPE_INITIALIZATION_DONE = 'h0;
parameter PCS_LPIP_R0_PIPE_OOB_IDLEBURST_TIMING = 'h0;
parameter PCS_L64_R0_L64_CFG_BER_1US_TIMER_VAL = 'h0;
parameter PCS_L64_R1_L64_BYPASS_TEST = 'h0;
parameter PCS_L64_R1_L64_CFG_TEST_PATTERN_EN = 'h0;
parameter PCS_L64_R1_L64_CFG_TEST_PATT_TYPE_SEL = 'h0;
parameter PCS_L64_R1_L64_CFG_TEST_PRBS31_EN = 'h0;
parameter PCS_L64_R1_L64_CFG_TEST_PATT_DATA_SEL = 'h0;
parameter PCS_L64_R2_L64_SEED_A_VALUE_LO32 = 'h0;
parameter PCS_L64_R3_L64_SEED_A_VALUE_HI26 = 'h0;
parameter PCS_L64_R4_L64_SEED_B_VALUE_LO32 = 'h0;
parameter PCS_L64_R5_L64_SEED_B_VALUE_HI26 = 'h0;
parameter PCS_L64_R6_L64_TX_ADV_CYC_DLY = 'h0;
parameter PCS_L64_R6_L64_TX_ADD_UI = 'h0;
parameter PCS_L64_R7_L64_RX_ADV_CYC_DLY = 'h0;
parameter PCS_L64_R7_L64_RX_ADD_UI = 'h0;
parameter PCS_L8_R0_L8_TXENCSWAPSEL = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_PCS_RX_RESET = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_PCS_RX_DIV2_RESET = 'h0;
parameter PCS_LRST_R0_LRST_ULCKD_CDR_RESETS_PCS_RX = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_RXFWF_RESET = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_PCS_TX_RESET = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_PCS_TX_DIV2_RESET = 'h0;
parameter PCS_LRST_R0_LRST_ULCKD_PLL_RESETS_PCS_TX = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_TXFWF_RESET = 'h0;
parameter PCS_LRST_R0_LRST_SOFT_PIPE_RESET = 'h0;
parameter PCS_LRST_OPT_LRST_DISABLE_FAB_PCS_RESET_FOR_RX = 'h0;
parameter PCS_LRST_OPT_LRST_DISABLE_FAB_PCS_RESET_FOR_TX = 'h0;
parameter PCS_OOB_R0_OOB_BURST_MIN_CYCLE = 'h0;
parameter PCS_OOB_R0_OOB_BURST_MAX_CYCLE = 'h0;
parameter PCS_OOB_R0_OOB_WAKE_MIN_CYCLE = 'h0;
parameter PCS_OOB_R0_OOB_WAKE_MAX_CYCLE = 'h0;
parameter PCS_OOB_R1_OOB_RST_INIT_MIN_CYCLE = 'h0;
parameter PCS_OOB_R1_OOB_RST_INIT_MAX_CYCLE = 'h0;
parameter PCS_OOB_R1_OOB_SAS_MIN_CYCLE = 'h0;
parameter PCS_OOB_R1_OOB_SAS_MAX_CYCLE = 'h0;
parameter PCS_OOB_R2_TXOOB_PROG_DATA_L32B = 'h0;
parameter PCS_OOB_R3_TXOOB_PROG_DATA_H8B = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_P2_ENTER_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_P2_EXIT_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_P2_ENTER_INT = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_P2_EXIT_INT = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_RXPLL_LOCK_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_RXPLL_UNLOCK_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_RXPLL_LOCK_INT = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_RXPLL_UNLOCK_INT = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_RXPLL_FLOCK_SEL = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_TXPLL_LOCK_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_TXPLL_UNLOCK_INT_MASK = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_TXPLL_LOCK_INT = 'h0;
parameter PCS_PMA_CTRL_R0_PMA_TXPLL_UNLOCK_INT = 'h0;
parameter PCS_PMA_CTRL_R1_RXBEACON_MAX_PULSE_WIDTH = 'h0;
parameter PCS_PMA_CTRL_R1_TXBEACON_PULSE_WIDTH = 'h0;
parameter PCS_PMA_CTRL_R2_PD_PLL_CNT = 'h0;
parameter PCS_PMA_CTRL_R2_PIPE_RATE_INIT = 'h0;
parameter PCS_PMA_CTRL_R2_FAB_DRIVES_TXPADS = 'h0;
parameter PCS_MSTR_CTRL_LANE_MSTR = 'h0;
parameter MAIN_SOFT_RESET_PERIPH = 'h0;
parameter MAIN_SOFT_RESET_NV_MAP = 'h0;
parameter MAIN_SOFT_RESET_V_MAP = 'h0;
parameter PMA_SOFT_RESET_PERIPH = 'h0;
parameter PMA_DES_CDR_CTRL_3_CST1_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_CST2_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_RST1_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_RST2_CDR = 'h0;
parameter PMA_DES_CDR_CTRL_3_RXDRV_CDR = 'h0;
parameter PMA_DES_DFEEM_CTRL_3_CST1_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_3_CST2_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_3_RST1_DFEEM = 'h0;
parameter PMA_DES_DFEEM_CTRL_3_RST2_DFEEM = 'h0;
parameter PMA_DES_DFE_CTRL_2_RXDRV_DFE = 'h0;
parameter PMA_DES_DFE_CTRL_2_CTLEEN_DFE = 'h0;
parameter PMA_DES_EM_CTRL_2_RXDRV_EM = 'h0;
parameter PMA_DES_EM_CTRL_2_CTLEEN_EM = 'h0;
parameter PMA_DES_IN_TERM_RXRTRIM = 'h0;
parameter PMA_DES_IN_TERM_RXTEN = 'h0;
parameter PMA_DES_IN_TERM_RXRTRIM_SEL = 'h0;
parameter PMA_DES_IN_TERM_ACCOUPLE_RXVCM_EN = 'h0;
parameter PMA_DES_PKDET_RXPKDETEN = 'h0;
parameter PMA_DES_PKDET_RXPKDETRANGE = 'h0;
parameter PMA_DES_PKDET_RXPKDET_LOW_THRESHOLD = 'h0;
parameter PMA_DES_PKDET_RXPKDET_HIGH_THRESHOLD = 'h0;
parameter PMA_DES_RTL_LOCK_CTRL_LOCK_MODE = 'h0;
parameter PMA_DES_RTL_LOCK_CTRL_LOCK_OVERRIDE = 'h0;
parameter PMA_DES_RTL_LOCK_CTRL_FDET_SAMPLE_PERIODS = 'h0;
parameter PMA_DES_RXPLL_DIV_RXPLL_FBDIV = 'h0;
parameter PMA_DES_RXPLL_DIV_RXPLL_REFDIV = 'h0;
parameter PMA_DES_RXPLL_DIV_RXPLL_RANGE = 'h0;
parameter PMA_DES_RXPLL_DIV_CDR_GAIN = 'h0;
parameter PMA_DES_TEST_BUS_RXATESTEN = 'h0;
parameter PMA_DES_CLK_CTRL_RXREFCLK_SEL = 'h0;
parameter PMA_DES_CLK_CTRL_DESMODE = 'h0;
parameter PMA_DES_CLK_CTRL_DATALOCKEN = 'h0;
parameter PMA_DES_CLK_CTRL_DATALOCKDIVEN = 'h0;
parameter PMA_SER_CTRL_TXVBGREF_SEL = 'h0;
parameter PMA_SER_CLK_CTRL_TXPOSTDIVEN = 'h0;
parameter PMA_SER_CLK_CTRL_TXPOSTDIV = 'h0;
parameter PMA_SER_CLK_CTRL_TXBITCLKSEL = 'h0;
parameter PMA_SER_CLK_CTRL_SERMODE = 'h0;
parameter PMA_SER_DRV_BYP_BYPASS_VALUE = 'h0;
parameter PMA_SER_DRV_BYP_TX_BYPASS_SELECT_RTL = 'h0;
parameter PMA_SER_DRV_BYP_TX_BYPASS_SELECT = 'h0;
parameter PMA_SER_RXDET_CTRL_RXDETECT_STEP_WAIT_COUNT = 'h0;
parameter PMA_SER_TERM_CTRL_TXCM_LEVEL = 'h0;
parameter PMA_SER_TERM_CTRL_TXTEN = 'h0;
parameter PMA_SER_TERM_CTRL_TXRTRIM_SEL = 'h0;
parameter PMA_SER_TERM_CTRL_TXRTRIM = 'h0;
parameter PMA_SER_TEST_BUS_TXATESTEN = 'h0;
parameter PMA_SER_DRV_DATA_CTRL_TXDEL = 'h0;
parameter PMA_SER_DRV_DATA_CTRL_TXDATA_INV = 'h0;
parameter PMA_SER_DRV_CTRL_TXDRVTRIM = 'h0;
parameter PMA_SER_DRV_CTRL_TXDRV = 'h0;
parameter PMA_SER_DRV_CTRL_TXITRIM = 'h0;
parameter PMA_SER_DRV_CTRL_TXODRV = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXDRV_CTRL_SEL = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXODRV_BOOSTER = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXMARGIN = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXSWING = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXDEEMPHASIS = 'h0;
parameter PMA_SER_DRV_CTRL_SEL_TXDEEMPHASIS_BEACON = 'h0;
parameter PMA_SERDES_RTL_CTRL_RX_HALF_RATE10BIT = 'h0;
parameter PMA_SERDES_RTL_CTRL_TX_HALF_RATE10BIT = 'h0;
parameter PCS_SOFT_RESET_PERIPH = 'h0;
parameter PCS_LFWF_R0_RXFWF_RATIO = 'h0;
parameter PCS_LFWF_R0_TXFWF_RATIO = 'h0;
parameter PCS_LOVR_R0_FAB_IFC_MODE = 'h0;
parameter PCS_LOVR_R0_PCSPMA_IFC_MODE = 'h0;
parameter PCS_LPIP_R0_PIPEENABLE = 'h0;
parameter PCS_LPIP_R0_PIPEMODE = 'h0;
parameter PCS_LPIP_R0_PIPE_PCIE_HC = 'h0;
parameter PCS_L64_R0_L64_CFG_BYPASS_SCRAMBLER = 'h0;
parameter PCS_L64_R0_L64_CFG_BYPASS_DISPARITY = 'h0;
parameter PCS_L64_R0_L64_CFG_BYPASS_GEARBOX = 'h0;
parameter PCS_L64_R0_L64_CFG_GRBX_64B67B = 'h0;
parameter PCS_L64_R0_L64_CFG_BER_MON_EN = 'h0;
parameter PCS_L64_R0_L64_CFG_BYPASS_8B_MODE = 'h0;
parameter PCS_L64_R0_L64_CFG_GRBX_SM_C49 = 'h0;
parameter PCS_L64_R0_L64_CFG_GRBX_SM_C82 = 'h0;
parameter PCS_L8_R0_L8_GEARMODE = 'h0;
parameter PCS_LNTV_R0_LNTV_RX_GEAR = 'h0;
parameter PCS_LNTV_R0_LNTV_RX_IN_WIDTH = 'h0;
parameter PCS_LNTV_R0_LNTV_RX_MODE = 'h0;
parameter PCS_LNTV_R0_LNTV_TX_GEAR = 'h0;
parameter PCS_LNTV_R0_LNTV_TX_OUT_WIDTH = 'h0;
parameter PCS_LNTV_R0_LNTV_TX_MODE = 'h0;
parameter PCS_LCLK_R0_LCLK_EPCS_RX_CLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_EPCS_TX_CLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_TXFWF_TMG_MODE = 'h0;
parameter PCS_LCLK_R0_LCLK_PCS_RX_CLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_PCS_TX_CLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_RXFWF_WCLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_TXFWF_RCLK_SEL = 'h0;
parameter PCS_LCLK_R0_LCLK_RXFWF_WCLK_PIPE = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_64B6XB_RX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_64B6XB_RX_CLK_DIV2 = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_64B6XB_TX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_64B6XB_TX_CLK_DIV2 = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_8B10B_RX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_8B10B_RXFWF_WCLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_8B10B_TX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_8B10B_TXFWF_RCLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_NATIVE_RX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_NATIVE_RXFWF_WCLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_NATIVE_TX_CLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_NATIVE_TXFWF_RCLK = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_PIPE_LCL = 'h0;
parameter PCS_LCLK_R1_LCLK_ENA_PIPE_OUT = 'h0;
parameter PCS_PMA_CTRL_R0_PIPE_P0S_EN = 'h0;
parameter PCS_PMA_CTRL_R0_PIPE_P1_EN = 'h0;
parameter PCS_PMA_CTRL_R0_PIPE_P2_EN = 'h0;
parameter PCS_PMA_CTRL_R0_FLASH_FREEZE_P0S_EN = 'h0;
parameter PCS_PMA_CTRL_R0_FLASH_FREEZE_P1_EN = 'h0;
parameter PCS_PMA_CTRL_R0_FLASH_FREEZE_P2_EN = 'h0;
parameter PCS_PMA_CTRL_R0_FAB_EPCS_PMA_RESET_B_EN = 'h0;

endmodule
