//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Mon Dec 19 14:27:35 2016
// Version: v12.100 12.100.7.12
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// my_testbench
module my_testbench(
    // Outputs
    LANE0_RX_VAL,
    error_count,
    error_out,
    lock
);

//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output       LANE0_RX_VAL;
output [5:0] error_count;
output       error_out;
output       lock;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire         CLK_GEN_0_CLK;
wire         EPCS_TX_RX_0_LANE0_TXD_N_0;
wire         EPCS_TX_RX_0_LANE0_TXD_P_0;
wire   [5:0] error_count_net_0;
wire         error_out_net_0;
wire         LANE0_RX_VAL_net_0;
wire         lock_net_0;
wire         RESET_GEN_0_RESET;
wire   [5:0] error_count_net_1;
wire         LANE0_RX_VAL_net_1;
wire         lock_net_1;
wire         error_out_net_1;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire         GND_net;
//--------------------------------------------------------------------
// Inverted Nets
//--------------------------------------------------------------------
wire         REF_CLK_PAD_N_0_IN_POST_INV0_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net = 1'b0;
//--------------------------------------------------------------------
// Inversions
//--------------------------------------------------------------------
assign REF_CLK_PAD_N_0_IN_POST_INV0_0 = ~ CLK_GEN_0_CLK;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign error_count_net_1  = error_count_net_0;
assign error_count[5:0]   = error_count_net_1;
assign LANE0_RX_VAL_net_1 = LANE0_RX_VAL_net_0;
assign LANE0_RX_VAL       = LANE0_RX_VAL_net_1;
assign lock_net_1         = lock_net_0;
assign lock               = lock_net_1;
assign error_out_net_1    = error_out_net_0;
assign error_out          = error_out_net_1;
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------CLK_GEN   -   Actel:Simulation:CLK_GEN:1.0.1
CLK_GEN #( 
        .CLK_PERIOD ( 6400 ),
        .DUTY_CYCLE ( 50 ) )
CLK_GEN_0(
        // Outputs
        .CLK ( CLK_GEN_0_CLK ) 
        );

//--------EPCS_TX_RX
EPCS_TX_RX EPCS_TX_RX_0(
        // Inputs
        .LANE0_RXD_P_0    ( EPCS_TX_RX_0_LANE0_TXD_P_0 ),
        .LANE0_RXD_N_0    ( EPCS_TX_RX_0_LANE0_TXD_N_0 ),
        .REF_CLK_PAD_P_0  ( CLK_GEN_0_CLK ),
        .REF_CLK_PAD_N_0  ( REF_CLK_PAD_N_0_IN_POST_INV0_0 ),
        .LANE0_PCS_ARST_N ( RESET_GEN_0_RESET ),
        .error_inject     ( GND_net ),
        .clr_err_counter  ( GND_net ),
        // Outputs
        .LANE0_RX_VAL     ( LANE0_RX_VAL_net_0 ),
        .LANE0_TXD_P_0    ( EPCS_TX_RX_0_LANE0_TXD_P_0 ),
        .LANE0_TXD_N_0    ( EPCS_TX_RX_0_LANE0_TXD_N_0 ),
        .error_out        ( error_out_net_0 ),
        .lock             ( lock_net_0 ),
        .error_count      ( error_count_net_0 ) 
        );

//--------RESET_GEN   -   Actel:Simulation:RESET_GEN:1.0.1
RESET_GEN #( 
        .DELAY       ( 1000 ),
        .LOGIC_LEVEL ( 0 ) )
RESET_GEN_0(
        // Outputs
        .RESET ( RESET_GEN_0_RESET ) 
        );


endmodule
