quietly set ACTELLIBNAME PolarFire
quietly set PROJECT_DIR "D:/Appsnotes/2016/PF_Multi_rate_XVR_demo/Designs/Posted_design/PF_SERDES_8b10b"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap PolarFire "D:/Microsemi/Libero_SoC_PolarFire/Designer/lib/modelsimpro/precompiled/vlog/PolarFire"

vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/SD1/PF_TX_PLL_0/SD1_PF_TX_PLL_0_PF_TX_PLL.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/SD1/PF_XCVR_0/SD1_PF_XCVR_0_PF_XCVR.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/SD1/PF_XCVR_REF_CLK_0/SD1_PF_XCVR_REF_CLK_0_PF_XCVR_REF_CLK.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/SD1/SD1.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/hdl/count_check.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/hdl/count_gen.v"
vlog -vlog01compat -work presynth "${PROJECT_DIR}/component/work/EPCS_TX_RX/EPCS_TX_RX.v"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/my_testbench" -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1/CLK_GEN.v"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/my_testbench" -vlog01compat -work presynth "${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1/RESET_GEN.v"
vlog "+incdir+${PROJECT_DIR}/component/Actel/Simulation/CLK_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/Actel/Simulation/RESET_GEN/1.0.1" "+incdir+${PROJECT_DIR}/component/work/my_testbench" -vlog01compat -work presynth "${PROJECT_DIR}/component/work/my_testbench/my_testbench.v"

vsim -L PolarFire -L presynth  -t 1ps presynth.my_testbench
do "wave.do"
run 80us
